% Slring af et billede med Salt og Pepper stj.

%Reset og luk evt. tidligere bne vinduer i Matlab.
clear all
clc
close all

%Indls billede.
Original_billede = imread('lena.bmp');

%Tilfjer stj til det originale billede
Billede_Med_SaltPepper_Stoej = imnoise(Original_billede,'salt & pepper',0.04); 
subplot(2,2,1);                                     %viser billederne i en 2x2 billede matrix
imshow(Billede_Med_SaltPepper_Stoej);               
title('Billede + Salt og Pepper')                   %hvert billede med sin egen titel.               
  
%Fjernelse af stj med et 2x2 median filter
subplot(2,2,2);                                     %klargring til billede 2.
Billede_2 = medfilt2(Billede_Med_SaltPepper_Stoej,[2 2]);    
imshow(Billede_2);
title('Billede gennem 2x2 Median filter')

%Fjernelse af stj med et 3x3 median filter
subplot(2,2,3);                                     %klargring til billede 3.
Billede_3 = medfilt2(Billede_Med_SaltPepper_Stoej,[3 3]);  
imshow(Billede_3);
title('Billede gennem 3x3 Median filter')

%Fjernelse af stj med et 5x5 median filter
subplot(2,2,4);                                     %klargring til billede 4.
Billede_4 = medfilt2(Billede_Med_SaltPepper_Stoej,[5 5]);
imshow(Billede_4);
title('Billede gennem 5x5 Median filter')

